Subject: bug#74833: 31.0.50; Copy to OS clipboard doesn't work in macOS Terminal.app with xterm-mouse-mode enabled

From: Ship Mints <[email-masked]>
Date: Fri, 13 Dec 2024 09:46:27 -0500

I agree. I think OP was expressing surprise at features not working "out of
the box." I suppose macOS terminal xmouse and kill-ring pasteboard
integration deserve a mention in PROBLEMS.

On Fri, Dec 13, 2024 at 2:21 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Ship Mints <[email-masked]>
> > Date: Thu, 12 Dec 2024 15:31:00 -0500
> > Cc: [email-masked], [email-masked]
> >
> > I have xterm-mouse-mode enabled when in tty mode on macOS and it does
> work for clicking/selecting but
> > this is independent of integrating the kill ring with the pasteboard. I
> am unaware of how to test the
> > completeness of the xterm mouse protocol support, however.
>
> So why is this an Emacs bug?  It sounds like the OP expects something
> to happen which shouldn't, because the xterm protocol for selections
> and the clipboard are not supported by Terminal.app?  In that case,
> this could be at best a feature request, not a bug.
>